Descontinued Mk1's and software [en-us]

Answered

Comments

1 comment

  • Avatar
    Daniel @ NI

    Hello David,

    The X1 mk1 is no longer officially supported since macOS 10.12 but it is possible to make it work up to macOS 10.14 with a few workarounds. Unfortunately this has been made impossible with the MAC OS 10.15 update.

    Both Traktor Pro 3 and the S2 MK2 are compatible with macOS 10.12, 10.13 and 10.14, so as long as you have one of these OS on you Mac, you are still able to use all of your equipment.

    0
    Comment actions Permalink

Post is closed for comments.